<?php if (!defined('BASEPATH')) {
    exit('No direct script access allowed');
}
/*
| -------------------------------------------------------------------------
| Hooks
| -------------------------------------------------------------------------
| This file lets you define "hooks" to extend CI without hacking the core
| files.  Please see the user guide for info:
|
|	http://codeigniter.com/user_guide/general/hooks.html
|
*/

$hook['pre_system'][] = [
    'class'    => '',
    'function' => 'register_custom_exception_handler',
    'filename' => 'CustomExceptionHandler.php',
    'filepath' => 'hooks',
];

$hook['pre_controller'] = [
    [
        'class' => 'EmailSettingsHook',
        'function' => 'loadSettings',
        'filename' => 'EmailSettingsHook.php',
        'filepath' => 'hooks',
        'params' => []
    ]
];

$hook['post_controller_constructor'] = [
    [
        'class' => 'RBACHook',
        'function' => 'checkPermission',
        'filename' => 'RBACHook.php',
        'filepath' => 'hooks',
        'params' => []
    ]
];

$hook['post_system'] = [
    [
        'class' => 'FlashDataHook',
        'function' => 'clear',
        'filename' => 'FlashDataHook.php',
        'filepath' => 'hooks',
        'params' => []
    ]
];


/* End of file hooks.php */
/* Location: ./system/application/config/hooks.php */